Bug 222458 - bugzilla currentrelease version enforcement doesn't make sense anymore
Summary: bugzilla currentrelease version enforcement doesn't make sense anymore
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General   
(Show other bugs)
Version: devel
Hardware: All
OS: Linux
medium
medium vote
Target Milestone: ---
Assignee: PnT DevOps Devs
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-12 16:54 UTC by Ray Strode [halfline]
Modified: 2013-06-24 02:50 UTC (History)
2 users (show)

Fixed In Version: bugzilla 3.2
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-15 17:19:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ray Strode [halfline] 2007-01-12 16:54:36 UTC
a while ago bugzilla gained a new feature where when you close a bug
CURRENTRELEASE you have to say which version of the package the bug was fixed in.

This doesn't make sense with our more modern workflow, where bugs are never
closed CURRENTRELEASE and instead moved to MODIFIED.

the MODIFIED state should have an optional version attached to it, so that QA
knows what version to test with, not CURRENTRELEASE.

Comment 1 Matěj Cepl 2007-01-15 11:11:12 UTC
CURRENTRELEASE makes a lot of sense when cleaning up Bugzilla (me being a humble
Desktop Bug Triager) and I am closing bugs which are WORKSFORME and apparently
working for a long time. But even then it does not seem to be necessary to have
*package* version number, more useful for user could be distro version (like
FC6) and of course it is much more simple for me (I don't have dwelve into
changelogs of the application to find when this particular was fixed).

Comment 2 David Lawrence 2008-12-15 17:19:33 UTC
Sounds like everyone is in agreement that Bugzilla itself should no longer enforce a mandatory fixed in value. FWIW we removed the enforcement in 3.2 anyway. The fixed in field is still there so it can be still used if needed.


Note You need to log in before you can comment on or make changes to this bug.